POST v1/crypto-withdrawals
POST /v1/crypto-withdrawals
Create a withdrawal request.
Body Request:
| Name | Type | Description | Required |
|---|---|---|---|
| assetId | STRING | assetId of the currency. You can query this from the v1/crypto-assets endpoint. | YES |
| address | STRING | Address where you want to make the withdrawal. | YES |
| memoTag | STRING | Memo Tag of address. | NO |
| amount | STRING | Amount of the withdrawal request. | YES |
| createdBy | STRING | Who created the request. | YES |
| externalTransactionId | STRING | The externalTransactionId field is included in the /v1/crypto-withdrawals endpoint to prevent duplicate withdrawal requests. It helps ensure user security by blocking any accidental repeated requests. This field should be a unique identifier between 32 to 36 characters long. | YES |
Response
- 201
{
"id": "a9c714446ade40ce85c6a25cefa5eef3",
"accountId": "6df05f44559f41b787a7acc97d7ac00d",
"assetId": "1432daf312e344b08e88cab34d0c0979",
"address": "0x8459fB304Ed8754974Ff9A4f5Cdb1A4F72fe4526",
"memoTag": null,
"amount": "0.0010000000000000",
"feeAmount": "0.0005779239742332",
"transactionHash": "0x66d7710fd5ff2cb6dd0837de168315e73cb5a242ba3286adbe9689557e52cac7",
"status": "Pending", // Pending, Confirmed, Delivered, Failed
"externalTransactionId": "HFT-TEST-Q82JD81K19",
"createdAt": "2024-07-25T09:52:22.6753337",
"createdBy": "[email protected]"
}